import { CustomBlockRenderer, HTMLContentModel } from 'react-native-render-html';
import { HTMLElementModel } from '@native-html/transient-render-engine';
/**
 * The renderer component for the iframe element. This renderer is fully
 * scalable, and will adjust to `contentWidth` and `computeEmbeddedMaxWidth`.
 * It also features `onLinkPress`.
 *
 * @public
 */
declare const IframeRenderer: CustomBlockRenderer;
/**
 * The model to attach to custom iframe renderers.
 *
 * @public
 */
export declare const iframeModel: HTMLElementModel<'iframe', HTMLContentModel.block>;
export default IframeRenderer;
